local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Tailoring(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Tailoring")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)


-- Current Boes

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Current Content BOE's:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("In regards to Current Content BOE's, we must take note that these are undoubtably one of the best sellers in Tailoring. This is because a large majority of people, upon hitting max level in any expansion will buyout there basic gear from the auction house, just to get up to scratch and start working on progression faster. These are definitly gear you want to craft to the daily as they sell well, they have a good return on investment (ROI) and are a reliable source of gold throughout an expansion. However the basic BOE crafts might be good to build upon, there are the higher gear you are able to craft.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("These are the Epic, Legendary boe's. The thing you will find for these are that the barrier for entry for a lot of these crafts are higher. Meaning that these take more time to learn, though this maybe a factor but this is not something to be to concerned with as the sell rate on these type of gear are high in relation to this gear. The thing to bare in mind is the profit potentional for making gold with these crafted gear. At the beginning of an expansion this is where you will get the best return on the lower ranks of higher based crafted gear but as the expansion progresses the cost to get into this market becomes more expensive and you'll have to loose gold to break into this market to get to those higher crafts to start making a profit.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("For example say you want to start crafting legendaries but ranks 1 and 2 are only showing a lose for you. You are faced with either farming the mats for you self to rank up or either take the hit in order to rank up to the ranks 3 and 4 where you will make a profit in the long run.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


-- Crafted Bags

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Crafted Bags:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Following onto crafted Bags, this is by far one of the most stable sources of gold making as everyone needs bags. This means there is always demand for these and thus we can use this to our advantage. However you might be thinking of crafting the current expansion bags for gold, this is not always the best approach as these tend to fluctuate in value quite a bit in the current expansion.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local desc = AceGUI:Create("Label")
  desc:SetText("However all is not lost, as we can focus on old crafted bags to make gold. More oftenly then not, we will find that the older crafted bags will sell fast and with a more stable profit margin on the Auction House. Bags like Netherweave, Frostweave, Embersilk, Hexweave and Deep Sea Bags tend to be the best for returns on your investments. I would recommend working your way into these as this will provide you with a good start on your returns for reinvestment.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("However, you will not want to flood the market with too many bags at once and will want to opt for a daily craft of around 20 to 30 per day and maintaining that supply as and when. This is because if you flood the market with too many bags you will end up forcing the price down causing you to loose gold for your crafts, this is something to take not of. Along with this there are specialist bags which are for example Enchanting where you can have more slot for materials for Enchanting, these do tend to sell but take note that you wont need to craft so many as the sell rate on these are a lot lower than most other bags so if you plan on doing this for the long run this maybe something to do to make gold over the long run.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Crafted Shirts

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Crafted Shirts:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Following into the crafted Shirt scene, we will see that there is a high volume for sales in this area. The thing to take account for is that the crafting cost for shirts in low and the sales are high but the profit is lower in regards to this. However, if you are looking to make gold with shirts you will want to win this with volume. This is because we can play to the fact that shirt sell fast, by doing this we can increase the amount of sales per day and this will increase our profit overall per day with shirt craft.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Though a few things to take into account our that, the barrier to entry for this crafting is beginner and only really requires you to learn shirt crafts from your trainer excluding a couple of rare recipes of shirts. Also with that entry level being so low, you will find more competition so this would mean you need to keep on top of it more but if you are able to pull this off your sales should be greatly increased.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Crafted Transmog

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Crafted Transmogs:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Next we shall dig into Crafted Transmog. For crafted transmog the method is pretty simple. For one you will be crafting old world boe's from older expansions and reselling them for transmogification. However, one thing to take note of is that not everything is wanted for transmogs. The best performing transmogs for tailoring tends to lean towards the early years in Vanilla and Burning Crusade end game boe's. The main focus would be to craft the Chest, Shoulders, Helms, Boots and Gloves. These will sell the best in regards to these expansions and most transmogs in general and would be a good starting point. The general gist of things would be to look at there sell rates and also the appearance and wondering if they look good.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Transmogs do tend to seller slower than most other crafts due to them being person specific and will take time to sell these on so choosing wisely is your best bet. Although they sell slower you will win with crafted transmog with variety and volume of the amount of items you will be selling. These are the key factors to take account of moving into the future with crafted and farmed transmog.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


-- Cloth And Bolts

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Cloths and Bolts:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("A very brief thing to talk about is different cloths and bolts. This is something to take into account for anyone willing to do minor flips with Tailoring. We can first craft bolts by using our Tailoring this is done by checking which cloths can be turned from cloth to bolts for a profit. But why? This is because you are producing bolts and charging a premium for people who do not want to stand there crafting all these bolts.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("However, we can also crafts other cloth such as mooncloth which can be crafted but the principle is still the same, you are crafting those cloths for a profit to provide those boring or annoying crafts and selling them for more.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("The last thing you can do with cloth and tailoring, is that you are able to craft Bracers for Disenchanting. This is time consuming but, throughout most expansions turning cloth into Bracers then disenchanting them is one of the most profitable ways to make gold on a day to day basis as you are able to source enchanting materials for a lot cheaper than you would through other methods. This tends to be the case because cloth is relatively cheap and enchanting materials tend to be more expensive so doing this is a simple but effective flip for reselling those materials especially in current expansions.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

























end